mat2dof(1)

NAME
mat2dof - Matrix to degrees of freedom

SYNOPSIS
mat2dof [options] < matrix

DESCRIPTION
Convert transformation matrix to degrees of freedom

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Input Options

--matrix3x3, -3
    Only input upper left 3x3 submatrix.

--transpose, -t
    Transpose input matrix.

--pixel-size <string>
    For matrices in pixel space (i.e., mapping from grid index to physical coordinate), set image grid pixel size. [Default: NONE]

  Transformation Modifiers

--center <string>
    Set center x,y,z for rotation and scaling. [Default: NONE]

--offset <string>
    Set offset dx,dy,dz for translation. [Default: NONE]

--xlate <string>
    Translate result relative by given vector. [Default: NONE]

--inverse
    Output inverse transformation. Inversion happens after all other modifiers have been applied.

  Output Options

--output <string>, -o <string>
    Write output transformation to this file [Default: NONE]

--list <string>
    Write output in list format to this archive (directory including 'registration' and 'studylist' files). [Default: NONE]

--append
    Append to output file rather than create a new one and overwrite exisiting files.

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.